org.bouncycastle.asn1.sec

## Interface SECObjectIdentifiers

    public interface SECObjectIdentifiers

### Field Summary

Fields
`static DERObjectIdentifier` `ellipticCurve` ellipticCurve OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) certicom(132) curve(0) }
`static DERObjectIdentifier` `secp112r1`
`static DERObjectIdentifier` `secp112r2`
`static DERObjectIdentifier` `secp128r1`
`static DERObjectIdentifier` `secp128r2`
`static DERObjectIdentifier` `secp160k1`
`static DERObjectIdentifier` `secp160r1`
`static DERObjectIdentifier` `secp160r2`
`static DERObjectIdentifier` `secp192k1`
`static DERObjectIdentifier` `secp192r1`
`static DERObjectIdentifier` `secp224k1`
`static DERObjectIdentifier` `secp224r1`
`static DERObjectIdentifier` `secp256k1`
`static DERObjectIdentifier` `secp256r1`
`static DERObjectIdentifier` `secp384r1`
`static DERObjectIdentifier` `secp521r1`
`static DERObjectIdentifier` `sect113r1`
`static DERObjectIdentifier` `sect113r2`
`static DERObjectIdentifier` `sect131r1`
`static DERObjectIdentifier` `sect131r2`
`static DERObjectIdentifier` `sect163k1`
`static DERObjectIdentifier` `sect163r1`
`static DERObjectIdentifier` `sect163r2`
`static DERObjectIdentifier` `sect193r1`
`static DERObjectIdentifier` `sect193r2`
`static DERObjectIdentifier` `sect233k1`
`static DERObjectIdentifier` `sect233r1`
`static DERObjectIdentifier` `sect239k1`
`static DERObjectIdentifier` `sect283k1`
`static DERObjectIdentifier` `sect283r1`
`static DERObjectIdentifier` `sect409k1`
`static DERObjectIdentifier` `sect409r1`
`static DERObjectIdentifier` `sect571k1`
`static DERObjectIdentifier` `sect571r1`

### Field Detail

#### ellipticCurve

    static final DERObjectIdentifier ellipticCurve

ellipticCurve OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) certicom(132) curve(0) }

#### sect163k1

    static final DERObjectIdentifier sect163k1

#### sect163r1

    static final DERObjectIdentifier sect163r1

#### sect239k1

    static final DERObjectIdentifier sect239k1

#### sect113r1

    static final DERObjectIdentifier sect113r1

#### sect113r2

    static final DERObjectIdentifier sect113r2

#### secp112r1

    static final DERObjectIdentifier secp112r1

#### secp112r2

    static final DERObjectIdentifier secp112r2

#### secp160r1

    static final DERObjectIdentifier secp160r1

#### secp160k1

    static final DERObjectIdentifier secp160k1

#### secp256k1

    static final DERObjectIdentifier secp256k1

#### sect163r2

    static final DERObjectIdentifier sect163r2

#### sect283k1

    static final DERObjectIdentifier sect283k1

#### sect283r1

    static final DERObjectIdentifier sect283r1

#### sect131r1

    static final DERObjectIdentifier sect131r1

#### sect131r2

    static final DERObjectIdentifier sect131r2

#### sect193r1

    static final DERObjectIdentifier sect193r1

#### sect193r2

    static final DERObjectIdentifier sect193r2

#### sect233k1

    static final DERObjectIdentifier sect233k1

#### sect233r1

    static final DERObjectIdentifier sect233r1

#### secp128r1

    static final DERObjectIdentifier secp128r1

#### secp128r2

    static final DERObjectIdentifier secp128r2

#### secp160r2

    static final DERObjectIdentifier secp160r2

#### secp192k1

    static final DERObjectIdentifier secp192k1

#### secp224k1

    static final DERObjectIdentifier secp224k1

#### secp224r1

    static final DERObjectIdentifier secp224r1

#### secp384r1

    static final DERObjectIdentifier secp384r1

#### secp521r1

    static final DERObjectIdentifier secp521r1

#### sect409k1

    static final DERObjectIdentifier sect409k1

#### sect409r1

    static final DERObjectIdentifier sect409r1

#### sect571k1

    static final DERObjectIdentifier sect571k1

#### sect571r1

    static final DERObjectIdentifier sect571r1

#### secp192r1

    static final DERObjectIdentifier secp192r1

#### secp256r1

    static final DERObjectIdentifier secp256r1